summaryrefslogtreecommitdiffstats
path: root/deps/sni-qt
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2015-01-24 19:37:30 +0100
committer Eric Hameleers <alien@slackware.com>2015-01-24 19:37:30 +0100
commit03e1ed04d7a06d039e5dc317638aa5a6b4773f8c (patch)
tree71647cc408cc17d130c16f2527f59ff6cd58cf73 /deps/sni-qt
parent63815cb3bce281c3f745f1da4ddc86f4ae4c1701 (diff)
downloadktown-03e1ed04d7a06d039e5dc317638aa5a6b4773f8c.tar.gz
ktown-03e1ed04d7a06d039e5dc317638aa5a6b4773f8c.tar.xz
Add support for Qt4 applications to dock to the Plasma 5 systray.
qt-4.8.6: added dep; compared to the Slackware original, I have applied several patches to impement qsystemtrayicon support. sni-qt: added dep; this application actually provides the systray support for Qt4 apps in Plasma 5.
Diffstat (limited to 'deps/sni-qt')
-rw-r--r--deps/sni-qt/doinst.sh23
-rw-r--r--deps/sni-qt/slack-desc19
-rwxr-xr-xdeps/sni-qt/sni-qt.SlackBuild106
-rw-r--r--deps/sni-qt/sni-qt.conf6
4 files changed, 154 insertions, 0 deletions
diff --git a/deps/sni-qt/doinst.sh b/deps/sni-qt/doinst.sh
new file mode 100644
index 0000000..16c59eb
--- /dev/null
+++ b/deps/sni-qt/doinst.sh
@@ -0,0 +1,23 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ rm $NEW
+ fi
+}
+
+preserve_perms() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ -e $OLD ]; then
+ cp -a $OLD ${NEW}.incoming
+ cat $NEW > ${NEW}.incoming
+ mv ${NEW}.incoming $NEW
+ fi
+ config $NEW
+}
+
+preserve_perms etc/sni-qt.conf.new
+
diff --git a/deps/sni-qt/slack-desc b/deps/sni-qt/slack-desc
new file mode 100644
index 0000000..bff69f8
--- /dev/null
+++ b/deps/sni-qt/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+sni-qt: sni-qt (provide systray support for Qt4 apps in Plasma 5)
+sni-qt:
+sni-qt: Qt4 plugin which turns all QSystemTrayIcon into StatusNotifierItems
+sni-qt: (appindicators).
+sni-qt: Similar to libappindicator for GTK apps.
+sni-qt:
+sni-qt:
+sni-qt:
+sni-qt:
+sni-qt:
+sni-qt: See also: https://launchpad.net/sni-qt
diff --git a/deps/sni-qt/sni-qt.SlackBuild b/deps/sni-qt/sni-qt.SlackBuild
new file mode 100755
index 0000000..3f492df
--- /dev/null
+++ b/deps/sni-qt/sni-qt.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/sh
+
+# Copyright 2015 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2015 Eric Hameleers, Eindhoven, NL
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PKGNAM=sni-qt
+VERSION=${VERSION:-0.2.6}
+BUILD=${BUILD:-1}
+NUMJOBS=${NUMJOBS:--j6}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i486 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7lh ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$(uname -m) ;;
+ esac
+ export ARCH
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-${PKGNAM}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
+cd $PKGNAM-$VERSION || exit 1
+
+# Disable building tests:
+sed -i '/tests/ d' CMakeLists.txt
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ ..
+ make $NUMJOBS || make || exit 1
+ make install DESTDIR=$PKG || exit 1
+cd -
+
+# Install config file for apps that need "Activate" action:
+install -Dm644 $CWD/sni-qt.conf $PKG/etc/sni-qt.conf.new
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mv $PKG/usr/share/man $PKG/usr/
+gzip -9 $PKG/usr/man/man?/*.1
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ COPYING* LGPL_EXCEPTION.txt NEWS README \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n /tmp/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/deps/sni-qt/sni-qt.conf b/deps/sni-qt/sni-qt.conf
new file mode 100644
index 0000000..421dcad
--- /dev/null
+++ b/deps/sni-qt/sni-qt.conf
@@ -0,0 +1,6 @@
+[need-activate-action]
+clementine=1
+mumble=1
+skype=1
+speedcrunch=1
+keepassx=1